Subject: Re: Using FFI?

From: haible (Bruno Haible)
Date: Fri, 14 Apr 95 18:33:05 +0200

> I ran makemake --with-dynamic-modules --with-dynamic-ffi.

Oops. For this combination to work, you need to patch the clisp-link.in
and clisp-link scripts like this, and rebuild the base+cfun/ directory.

*** clisp-1995-04-04/src/clisp-link.in	Mon Mar 20 22:11:57 1995
--- clisp/src/clisp-link.in	Fri Apr 14 14:05:58 1995
***************
*** 241,255 ****
         done) > "$destinationdir"/modules.h
      else
        # Generate every "$moduledir"/"$mod"_module.o
!       (cd "$moduledir"
!        for mod in $NEW_MODULES ; do
!          if test ! -f "$mod"_module.o ; then
             link "$absolute_linkkitdir"/module.cc "$mod"_module.cc
             ${CC} ${CFLAGS} -I"$absolute_linkkitdir" -DMODULE="$mod" -c "$mod"_module.cc
             rm -f "$mod"_module.cc
!          fi
!          NEW_FILES="$mod"'_module.o '"$NEW_FILES"
!        done)
      fi
      # Generate new lisp.a
      for f in ${FILES}; do
--- 241,257 ----
         done) > "$destinationdir"/modules.h
      else
        # Generate every "$moduledir"/"$mod"_module.o
!       for mod in $NEW_MODULES ; do
!         if test ! -f "$moduledir"/"$mod"_module.o ; then
!           (cd "$moduledir"
             link "$absolute_linkkitdir"/module.cc "$mod"_module.cc
             ${CC} ${CFLAGS} -I"$absolute_linkkitdir" -DMODULE="$mod" -c "$mod"_module.cc
             rm -f "$mod"_module.cc
!           )
!         fi
!         NEW_FILES="$mod"'_module.o '"$NEW_FILES"
!         NEW_LIBS="$mod"'_module.o '"$NEW_LIBS"
!       done
      fi
      # Generate new lisp.a
      for f in ${FILES}; do

Thanks for reporting this.

                    Bruno Haible
                    [email-masked]